Skip to main content
POST
/
v3
/
async
/
kling-v3.0-std-i2v
Kling v3.0 Standard Image-to-Video
curl --request POST \
  --url https://api.novita.ai/v3/async/kling-v3.0-std-i2v \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "image": "<string>",
  "sound": true,
  "prompt": "<string>",
  "duration": 123,
  "cfg_scale": 123,
  "end_image": "<string>",
  "multi_prompt": [
    {
      "prompt": "<string>",
      "duration": 123
    }
  ],
  "negative_prompt": "<string>"
}
'
import requests

url = "https://api.novita.ai/v3/async/kling-v3.0-std-i2v"

payload = {
    "image": "<string>",
    "sound": True,
    "prompt": "<string>",
    "duration": 123,
    "cfg_scale": 123,
    "end_image": "<string>",
    "multi_prompt": [
        {
            "prompt": "<string>",
            "duration": 123
        }
    ],
    "negative_prompt": "<string>"
}
headers = {
    "Content-Type": "<content-type>",
    "Authorization": "<authorization>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
  body: JSON.stringify({
    image: '<string>',
    sound: true,
    prompt: '<string>',
    duration: 123,
    cfg_scale: 123,
    end_image: '<string>',
    multi_prompt: [{prompt: '<string>', duration: 123}],
    negative_prompt: '<string>'
  })
};

fetch('https://api.novita.ai/v3/async/kling-v3.0-std-i2v', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "task_id": "<string>"
}
Kling v3.0 Standard Image-to-Video transforms static images into dynamic videos with natural motion, smooth scene dynamics, optional audio co-generation, and multi-prompt composition support.
This is an asynchronous API; only the task_id will be returned. You should use the task_id to request the Task Result API to retrieve the video generation results.

Request Headers

Content-Type
string
required
Supports: application/json
Authorization
string
required
Bearer authentication format, for example: Bearer {{API Key}}.

Request Body

image
string
required
First frame image for video; supports .jpg, .jpeg, .png. Image file size must not exceed 10MB; width and height must be >= 300px; aspect ratio must be between 1:2.5 and 2.5:1.
sound
boolean
default:false
Whether to generate audio simultaneously when generating video.
prompt
string
required
Positive prompt text for video generation, describing scene motion, camera moves, actions, voice style, ambience, and sound effects; must not exceed 2500 characters.
duration
integer
default:5
Duration of generated video in seconds (3-15).Optional values: 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15
cfg_scale
number
Controls the flexibility of video generation. Lower values produce more natural motion; higher values result in generated content more closely following the prompt.Value range: [0, 1]
end_image
string
Ending frame image URL for guided transitions between start and end frames. Same format constraints as image. Cannot be used together with multi_prompt.
multi_prompt
object[]
Array of prompts for multi-shot video composition. Each item contains a prompt and duration for one segment. Cannot be used together with end_image.
negative_prompt
string
Negative prompt specifying elements to avoid in visuals and audio; must not exceed 2500 characters.

Response

task_id
string
required
Use the task_id to request the Task Result API to retrieve the generated outputs.
Last modified on July 3, 2026